Uploaded image for project: 'ActiveMQ'
  1. ActiveMQ
  2. AMQ-5047

Maven version affects packaging

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.9.0
    • Fix Version/s: 5.9.1, 5.10.0
    • Component/s: None
    • Labels:
      None
    • Patch Info:
      Patch Available

      Description

      Depending on if you use Maven 3.0.5 or 3.1.1, you get significantly different contents for the Web Console war as well as the final binary assembly. The two versions of Maven treat the optional=true tags in the top level pom a bit differently.

      The proposed fix is to remove the optional=true tags from the top level and add them where appropriate in the child modules.

        Attachments

          Activity

            People

            • Assignee:
              dkulp Daniel Kulp
              Reporter:
              dkulp Daniel Kulp

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment